package com.dxhy.core.dao;

import com.dxhy.core.model.BbfpzhcxRespVO;
import com.dxhy.core.model.EnterpriseInfoVO;
import com.dxhy.core.model.RiskSupplierVO;
import com.dxhy.core.model.ViolationRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author Gy Chen
 * @date 2021/1/25
 */
@Mapper
public interface ViolationMapper {
    List<ViolationRespVO> selectViolation(Map<String, Object> params);

    List<RiskSupplierVO> selectRiskSupplier(Map<String, Object> params);

    List<BbfpzhcxRespVO> selectRiskInvoice(Map<String, Object> params);
    List<EnterpriseInfoVO> selectRiskEnterpriseInvoice(Map<String, Object> params);
}
